<template>
    <nav class="navbar">
        <div class="container">
            <div class="navbar-wrapper">
                <ul class="navbar-menu">
                    <li class="navbar-menu__item"><button class="btn" @click="goto('about')" href="#">About</button></li>
                    <li class="navbar-menu__item"><button class="btn" @click="goto('projects')" href="#">Work</button></li>
                    <li class="navbar-menu__item"><button class="btn" @click="goto('contact')" href="#">Contact</button></li>
                </ul>
            </div>
        </div>
    </nav>
</template>

<script>
export default {
    methods: {
        goto(refName) {
            var element = this.$root.$el.querySelector(`.${refName}`);
            element.scrollIntoView({behavior: 'smooth'});
        }
    }
}
</script>

<style scoped>
.navbar {
    display: none;
}

.navbar-wrapper, .navbar-menu {
    display: flex;
}

.navbar-wrapper {
    justify-content: flex-end;
}

.navbar-menu {
    list-style: none;
    justify-content: space-between;
    width: 350px;
}

.navbar-menu__item button{
    font-weight: 500;
    font-size: 16px;
    color: #fff;
}

@media screen and (min-width: 960px) {
    .navbar {
        display: block;
        padding-top: 40px;
    }
}
</style>